package be.dc.aop.testing;

/**
 * Insert class comments here.
 * 
 * @author ruvankeirsbilck
 * @since 8-jul-2003 (16:04:12)
 * @version 1.0
 */

import java.util.*;

public class AOPTester {
	public static void main(String[] args) {
		new AOPTester ().run (args);
	}
	
	private void run (String[] args) {
		Screen screen = new Screen ();
		Point p1 = new Point (10, 10);
		Point p2 = new Point (20, 20);
		Line line = new Line (p1, p2);
		screen.display (p1);
		screen.display (p2);
		screen.display (line);
		GraphicalElementObserver.addObserver (p1, screen);
		GraphicalElementObserver.addObserver (p2, screen);
		p1.setX (15);
		p2.setX (25);
	}
}