package be.dc.aop.testing;

/**
 * Insert class comments here.
 * 
 * @author ruvankeirsbilck
 * @since 8-jul-2003 (15:43:37)
 * @version 1.0
 */
public class Screen {
/* Methods for constructing new instances. */
	public Screen () {super ();}

/* Methods for displaying GraphicalElements. */
	public void display (GraphicalElement graphicalElement) {
		//System.out.println ("Screen is displaying an graphical element. Let the GraphicalElementDisplayDispatching aspect do its job.");
	}

	public void display2 (GraphicalElement graphicalElement) {
		graphicalElement.displayOn2 (this);
	}

	public void display (Point point) {
		//System.out.println ("Screen is displaying a point at: X=" + point.getX () + " Y=" + point.getY ());
	}

	public void display (Line line) {
		//System.out.println ("Screen is displaying a line from " + line.getStart () + " to " + line.getEnd ());
	}

/* Keep out! */
/* Constants */
	/* None at this time. */
/* Class variables */
	/* None at this time. */
/* Instance variables */
	protected GraphicsContext graphicsContext = new GraphicsContext ();
}
